# Update approval

Update a single approval

Endpoint: PUT /iacm/api/orgs/{org}/projects/{project}/approvals/{id}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "h9"

  - `project` (string, required)
    Project is the project identifier.
    Example: "j"

  - `id` (string, required)
    Example: "aee34779-0bb5-4355-9091-e3bd79644393"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "7v"

## Request fields (application/json):

  - `actioned_by` (string)
    User that approved/rejected the step
    Example: "John Doe"

  - `actioned_by_email` (string)
    Email of the user that approved/rejected the step
    Example: "john.doe@example.com"

  - `status` (string, required)
    Status update to be performed upon the Approval step
    Enum: "approved", "rejected", "pending"

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


## Response 200 fields
